cURL
curl --request POST \
--url https://public-api.lonescale.com/lists/{listId}/item \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"linkedin_url": "<string>",
"company_name": "<string>",
"current_position": "<string>",
"domain": "<string>",
"location": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"contact_id": "<string>"
}
'import requests
url = "https://public-api.lonescale.com/lists/{listId}/item"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"linkedin_url": "<string>",
"company_name": "<string>",
"current_position": "<string>",
"domain": "<string>",
"location": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"contact_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
full_name: '<string>',
linkedin_url: '<string>',
company_name: '<string>',
current_position: '<string>',
domain: '<string>',
location: '<string>',
name: '<string>',
email: 'jsmith@example.com',
contact_id: '<string>'
})
};
fetch('https://public-api.lonescale.com/lists/{listId}/item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"linkedin_url": "<string>",
"company_name": "<string>",
"current_position": "<string>",
"domain": "<string>",
"location": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"contact_id": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"message": "Bad request",
"error": "Bad request",
"statusCode": 400
}{
"message": "Invalid API Key",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Missing required fields for PEOPLE list",
"error": "Forbidden",
"statusCode": 403
}{
"message": "List not found",
"error": "Not Found",
"statusCode": 404
}Lists
Add an item to a list
Add an item to a list.
Validation rules by entity type:
- COMPANY: must include
domainOR bothnameandlocation. - PEOPLE: must include at least 2 of:
linkedin_url,name,location,first_name,last_name,full_name,company_name,current_position.
POST
/
lists
/
{listId}
/
item
cURL
Authorizations
Provide your API key in the x-api-key header.
Path Parameters
The ID of the list.
Body
application/json
Company domain (e.g., acme.com). Required for COMPANY lists (unless name + location are provided).
Optional CRM record ID for this contact.
Response
The created list item
Unique identifier of the item.
Company domain (e.g., acme.com).
Optional CRM record ID for this contact.
⌘I

